Apparent compatability problem HP printers

Asked by Jan Greeff on 2018-07-10

I installed HPlip version 3.18.6 to run my new HP Laser Jet Pro M102a on Ubuntu 16.04 Unity. Now the system shows and installs my HP 6313 Officejet which is being used for scanning purposes, but it does not detect the device for scanning on XSane.

It appears as if the two machines require different versions of HPlip.

How do I get my system to work on both of these machines?

Also, although the M102a is printing, the HPlip device manager does not function at all.

Question information

Language:
English Edit question
Status:
Solved
For:
HPLIP Edit question
Assignee:
No assignee Edit question
Solved by:
srinivas
Solved:
2018-07-12
Last query:
2018-07-12
Last reply:
2018-07-11
Best srinivas (srinivas5) said : #1

Hi Jan Greef,

Please share the screenshots of the errors you get for both print and scan on the respective devices.
Also please run the command, sudo hp-logcapture and share the logs of both print and scan on the respective devices.

Thanks,
Srinivas Teja.

Jan Greeff (jan-verslank) said : #2

Hi Srinivas Teja, many thanks for your response. I have subsequently re-installed hplip 3.18.6 because it was clearly not functioning correctly. It appears as if it is important to use the main server mirror for the download, which I did not do the first time around. Then I installed both printers via the hp-setup terminal command and they are now working perfectly.

Jan Greeff (jan-verslank) said : #3

Thanks srinivas, that solved my question.